Skip to main content
PUT
Set project secret file

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectID
string<uuid>
required
fileKey
string
required

The unpadded base64url encoding of the file's UTF-8 project-relative path.

Pattern: ^[A-Za-z0-9_-]+$

Body

application/json
content
string
required
Maximum string length: 1048576

Response

OK

created_at
string<date-time>
required
file_key
string
required
Pattern: ^[A-Za-z0-9_-]+$
file_path
string
required
Minimum string length: 1
updated_at
string<date-time>
required